changeset 8409:468d10ade318

8078834: [TESTBUG] Tests fails on ARM64 due to unknown hardware Reviewed-by: dholmes, adinn
author skovalev
date Wed, 20 May 2015 09:07:36 -0400
parents e8b95332ff4c
children 02985f5bf56a
files test/test_env.sh
diffstat 1 files changed, 5 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/test/test_env.sh	Tue May 19 16:05:12 2015 +0200
+++ b/test/test_env.sh	Wed May 20 09:07:36 2015 -0400
@@ -198,6 +198,11 @@
 then
   VM_CPU="ia64"
 fi
+grep "aarch64" vm_version.out > ${NULL}
+if [ $? = 0 ]
+then
+  VM_CPU="aarch64"
+fi
 export VM_TYPE VM_BITS VM_OS VM_CPU
 echo "VM_TYPE=${VM_TYPE}"
 echo "VM_BITS=${VM_BITS}"